<?php

if (!defined('XOOPS_ROOT_PATH')) exit();

/**
 * TODO This action should be implemented by base. We must move it to user.
 */
class Legacy_MiscSslloginAction extends Legacy_Action
{
	function getDefaultView(&$controller, &$xoopsUser)
	{
		return LEGACY_FRAME_VIEW_INDEX;
	}
	
	function executeViewIndex(&$controller, &$xoopsUser, &$render)
	{
		//
		// Because this action's template uses USER message catalog, load it.
		//
		$root =& $controller->mRoot;
		$root->mLanguageManager->loadModuleMessageCatalog('user');

		$render->setTemplateName("legacy_misc_ssllogin.html");
		$render->setAttribute("message", @sprintf(_US_LOGGINGU, $xoopsUser->getVar('uname')));
	}
}

?>
